petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecISSet

Sets the elements of a vector, specified by an index set, to a constant

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecISSet(Vec V,IS S, PetscScalar c)

### Input Parameter

| V | - the vector
| S | - index set for the locations in the vector
| c | - the constant

### Notes

The index set identifies entries in the global vector. Negative indices are skipped; indices outside the ownership range of V will raise an error.

### See Also

VecSet(), VecGetOwnershipRange()

### Level

advanced

### Location

src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages